Package org.apache.tapestry5.runtime

# Interface Event

All Known Subinterfaces:
  `ComponentEvent`

All Known Implementing Classes:
  `ComponentEventImpl`, `EventImpl`, `RenderPhaseEvent`

public interface Event
The core methods related to event handling. Events used in this way exist to gather data from user code, by invoking user methods and capturing the response. Return values from methods, if non-null, are passed to a `ComponentEventCallback`. The `ComponentEvent` subinterface extends this by providing access to a context, or set of information related to the event, along with additional data used, at runtime, to match events to user code methods.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAborted()`
  Returns true if the event has been aborted (meaning that the return value from some event handler method was accepted, and processing of the event was terminated).
  `void`
  `setMethodDescription(String methodDescription)`
  Invoke to identify, to the event, what component and method is being acted upon (used for some kinds of exception reporting).
  `boolean`
  `storeResult(Object result)`
  Stores a result for the event.

- ## Method Details

  - ### isAborted

    boolean isAborted()
    Returns true if the event has been aborted (meaning that the return value from some event handler method was accepted, and processing of the event was terminated).
    Returns:
      true if no further event handler methods should be invoked

  - ### setMethodDescription

    void setMethodDescription(String methodDescription)
    Invoke to identify, to the event, what component and method is being acted upon (used for some kinds of exception reporting).
    Parameters:
      `methodDescription` - describes the location (i.e. file name, method name and line number) of the method

  - ### storeResult

    boolean storeResult(Object result)
    Stores a result for the event. Storing a non-null result value may abort the event (at the discretion of the `ComponentEventCallback`).
    Parameters:
      `result` - the result obtained from a method invocations
    Returns:
      true if the event is now aborted